#!/bin/bash
mypath=${0%/*}

showRadio "Выберите режим:" "" "Single Flash" "Mixed Flash" "Crazy Flash" "Single Flash + Screen Flash" "Hybrid Flash + Screen Flash"
case "$?" in
1)
showQ "Single Flash" "Запустить выбранный режим?" 1
if [ $? = 0 ]
then
exec $mypath/set.sh
exit 0
fi
kill `pidof getcall`
showNotify "" "Успешно!" 1 3
/$mypath/getcall "/$mypath/on1.sh" "/$mypath/off.sh" &
exec $mypath/load.sh
exit 0
;;

2)
showQ "Mixed Flash" "Запустить выбранный режим?" 1
if [ $? = 0 ]
then
exec $mypath/set.sh
exit 0
fi
kill `pidof getcall`
showNotify "" "Успешно!" 1 3
/$mypath/getcall "/$mypath/on2.sh" "/$mypath/off.sh" &
exec $mypath/load.sh
exit 0
;;

3)
showQ "Crazy Flash" "Запустить выбранный режим? (Осторожно)" 1
if [ $? = 0 ]
then
exec $mypath/set.sh
exit 0
fi
kill `pidof getcall`
showNotify "" "Успешно!" 1 3
/$mypath/getcall "/$mypath/on3.sh" "/$mypath/off.sh" &
exec $mypath/load.sh
exit 0
;;

4)
showQ "Single Flash + Screen Flash" "Запустить выбранный режим?" 1
if [ $? = 0 ]
then
exec $mypath/set.sh
exit 0
fi
kill `pidof getcall`
showNotify "" "Успешно!" 1 3
/$mypath/getcall "/$mypath/on4.sh" "/$mypath/off.sh" &
exec $mypath/load.sh
exit 0
;;

5)
showQ "Hybrid Flash + Screen Flash" "Запустить выбранный режим?" 1
if [ $? = 0 ]
then
exec $mypath/set.sh
exit 0
fi
kill `pidof getcall`
showNotify "" "Успешно!" 1 3
/$mypath/getcall "/$mypath/on5.sh" "/$mypath/off.sh" &
exec $mypath/load.sh
exit 0
;;

*)
exec $mypath/load.sh
exit 0
;;
esac
